Show / Hide Table of Contents

# AsyncTriggerStayTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerStayTrigger : AsyncTriggerBase<Collider>, IUniTaskAsyncEnumerable<Collider>

##### Inheritance

System.Object → AsyncTriggerBase<Collider> → AsyncTriggerStayTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerStayAsyncHandler() |
GetOnTriggerStayAsyncHandler(CancellationToken) |
OnTriggerStayAsync() |
OnTriggerStayAsync(CancellationToken) |

### Methods

#### GetOnTriggerStayAsyncHandler()

    public IAsyncOnTriggerStayHandler GetOnTriggerStayAsyncHandler()

##### Returns

IAsyncOnTriggerStayHandler

#### GetOnTriggerStayAsyncHandler(CancellationToken)

    public IAsyncOnTriggerStayHandler GetOnTriggerStayAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnTriggerStayHandler

#### OnTriggerStayAsync()

    public UniTask<Collider> OnTriggerStayAsync()

##### Returns

UniTask<Collider>

#### OnTriggerStayAsync(CancellationToken)

    public UniTask<Collider> OnTriggerStayAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collider>

### Implements

IUniTaskAsyncEnumerable<T>